package com.bocloud.cmp.model.agile;

import java.util.List;

/*
 * bgp
 */
public class AgileBgpModel {
    private String addressFamilyType; // 址类型。枚举类型，支持的取值：vpnv4-instance、vpnv6-instance
    private Boolean importRouteDirect; // 是否引入直连路由，针对集中式网关场景生效
    private Boolean importRouteStatic; // 是否引入静态路由，针对集中式网关场景生效
    private List<String> importNetworks; // 输入网络，针对集中式网关场景生效
    private List<String> aggregateRoutes; // 聚合路由，针对集中式网关场景生效
    private List<AgileBgpPeerModel> agileBgpPeerModels; // 逻辑路由器的BGP配置

    public String getAddressFamilyType() {
        return addressFamilyType;
    }

    public void setAddressFamilyType(String addressFamilyType) {
        this.addressFamilyType = addressFamilyType;
    }

    public Boolean getImportRouteDirect() {
        return importRouteDirect;
    }

    public void setImportRouteDirect(Boolean importRouteDirect) {
        this.importRouteDirect = importRouteDirect;
    }

    public Boolean getImportRouteStatic() {
        return importRouteStatic;
    }

    public void setImportRouteStatic(Boolean importRouteStatic) {
        this.importRouteStatic = importRouteStatic;
    }

    public List<String> getImportNetworks() {
        return importNetworks;
    }

    public void setImportNetworks(List<String> importNetworks) {
        this.importNetworks = importNetworks;
    }

    public List<String> getAggregateRoutes() {
        return aggregateRoutes;
    }

    public void setAggregateRoutes(List<String> aggregateRoutes) {
        this.aggregateRoutes = aggregateRoutes;
    }

    public List<AgileBgpPeerModel> getAgileBgpPeerModels() {
        return agileBgpPeerModels;
    }

    public void setAgileBgpPeerModels(List<AgileBgpPeerModel> agileBgpPeerModels) {
        this.agileBgpPeerModels = agileBgpPeerModels;
    }
}
